Mailinglist Archive: zypp-devel (226 mails)

< Previous Next >
Re: [zypp-devel] updating selected packages
  • From: Jan Kupec <jkupec@xxxxxxx>
  • Date: Fri, 18 Apr 2008 16:01:13 +0200
  • Message-id: <4808A9A9.3030900@xxxxxxx>
Dr. Peter Poeml wrote:
On Fri, Apr 18, 2008 at 03:30:43PM +0200, Jan Kupec wrote:
But it doesn't look quite right:

# zypper update zypper
Reading installed packages...
Patch 'zypper' not found.
remember the -t package

-t package is the default for 'install'
-t patch is the default for 'update'

Ah, confusing.

I tried with -t package also BTW, but it behaves exactly the same:

# zypper update -t package zypper
Reading installed packages...
No update candindate for 'zypper'

At least it did confirm it knows zypper :O) This message means you have
the best version already installed - there's no update available.

The following NEW packages are going to be installed:
obex-data-server openobex mozilla-xulrunner190-gnomevfs libarchive2
gvfs-fuse fuse
libsoup gvfs-backends libsoup-2_4-1 libfuse2

and this is the buggy stuff...

Overall download size: 752.0 K. After the operation, additional 3.5 M will be
used.
Continue? [YES/no]: n


It intends to update packages that I didn't specify.
Known bug?
Yes, see the other thread "zypper odds" here on zypp-devel.

Okay. I admit I don't understand that thread and whether the existence
of the bug is acknowledged. But the report is about the same problem,
definitely. Sorry for reporting it again. I didn't look closely enough
when I skimmed that thread, and didn't recognize it when it happened to
me now.

of course, no problem.

jano
--
To unsubscribe, e-mail: zypp-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: zypp-devel+help@xxxxxxxxxxxx

< Previous Next >